You must complete the advertising ID declaration before releasing an app that targets Android 13 (Updated to 5.0.140 but problem persisting)

Hello,
Like some others, I had an issue with not meeting the Android 13 API level 31 requirement when attempting to upload the game to the Play Console. I updated GDevelop to the latest version and the issue persisted (it says my API level is 22). This is the first game I am attempting to upload, so I am wondering whether there is some step I might have neglected that would cause me to have this error?
Other users said once they updated the GDevelop version the issue went away so I’m a bit confused as to why the issue is persisting on my end.
(Sorry if anything is unclear, first post on the forum)
Thank you, everyone!